Package org.apache.struts2.validator.validators

# Class ConversionErrorFieldValidator

java.lang.Object
org.apache.struts2.validator.validators.ValidatorSupport
org.apache.struts2.validator.validators.FieldValidatorSupport
org.apache.struts2.validator.validators.RepopulateConversionErrorFieldValidatorSupport
org.apache.struts2.validator.validators.ConversionErrorFieldValidator

All Implemented Interfaces:
  `FieldValidator`, `ShortCircuitableValidator`, `Validator`

public class ConversionErrorFieldValidator extends RepopulateConversionErrorFieldValidatorSupport
Field Validator that checks if a conversion error occurred for this field.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required

         <!-- Plain Validator Syntax -->
         <validator type="conversion">
                    <param name="fieldName">myField</param>
              <message>Conversion Error Occurred</message>
         </validator>

         <!-- Field Validator Syntax -->
         <field name="myField">
            <field-validator type="conversion">
               <message>Conversion Error Occurred</message>
            </field-validator>
         </field>

Author:
  Jason Carreira, tm_jee

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.validator.validators.FieldValidatorSupport

  `currentValue, fieldName, type`

  ### Fields inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConversionErrorFieldValidator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doValidate(Object object)`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  ### Methods inherited from class org.apache.struts2.validator.validators.RepopulateConversionErrorFieldValidatorSupport

  `escape, isRepopulateField, repopulateField, setRepopulateField, validate`

  ### Methods inherited from class org.apache.struts2.validator.validators.FieldValidatorSupport

  `getCurrentValue, getFieldName, getValidatorType, setFieldName, setValidatorType`

  ### Methods inherited from class org.apache.struts2.validator.validators.ValidatorSupport

  `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValueStack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.struts2.validator.Validator

  `getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

- ## Constructor Details

  - ### ConversionErrorFieldValidator

    public ConversionErrorFieldValidator()

- ## Method Details

  - ### doValidate

    public void doValidate(Object object) throws ValidationException
    The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
    Specified by:
      `doValidate` in class `RepopulateConversionErrorFieldValidatorSupport`
    Parameters:
      `object` - the object to be validated
    Throws:
      `ValidationException`